//
// Lists
//

.md ul,
.md ol {
  font-size: $font-size-base;
  padding-left: 0;
  margin-bottom: $markdown-list-bottom-margin;

  li {
    line-height: $markdown-list-item-line-height;
    margin-left: $markdown-list-left-margin;
  }
}

//
// Task Lists
//

.md .task-list {
  li.task-list-item {
    position: relative;
  }

  input {
    font-size: $markdown-list-input-size;
    margin: 0 $markdown-list-input-right $markdown-list-input-bottom
      $markdown-list-input-left;
    vertical-align: middle;
  }
}

.md ul.task-list {
  li.task-list-item {
    list-style: none;
  }
}

.md ol.task-list {
  li.task-list-item {
    padding-left: $markdown-list-left-margin;

    ol > li.task-list-item {
      margin-left: 0;
    }
  }
}

//
// RTL text
//

// To align text to the right
.md [dir="rtl"] {
  text-align: initial;
}

.md ul[dir="rtl"],
.md ol[dir="rtl"] {
  padding-right: 0;

  li {
    margin-right: $markdown-list-left-margin;
  }
}

.md .task-list[dir="rtl"] {
  input {
    margin-left: $markdown-list-input-right;
    margin-right: $markdown-list-input-left;
  }
}
